<?php
/* affichage de la version d'un article */
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\Database\DatabaseInterface;

$db = Factory::getContainer()->get(DatabaseInterface::class);
$query = $db->getQuery(true);
$query->select('save_date');
$query->from($db->quoteName('#__history'));
$query->where($db->quoteName('item_id').' = '.$db->quote('com_content.article.'.$displayData['item']->id));
$db->setQuery($query);
$results = $db->loadObjectList();
$date = "";
$str = "";
if (count($results)) {
    $str = 'version '.count($results);
    foreach ($results as $result) {
        if ($result->save_date > $date) {
            $date = $result->save_date;
        }
    }
    $str .= ' du '.HTMLHelper::date($date,Text::_('DATE_FORMAT_FILTER_DATETIME'));
}
?>
<dd class="version">
    <?php echo $str; ?>
</dd>
